KJS::Error class Reference (kjs Library)

| # kjs Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::Error Class Reference

Factory methods for error objects. More...

`#include <object.h>`

List of all members.

## Static Public Member Functions
Object | create (ExecState *exec, ErrorType errtype=GeneralError, const char *message=0, int lineno=-1, int sourceId=-1)
| Factory method for error objects.
## Static Public Attributes
const char *const *const | errorNames = errorNamesArr
| Array of error names corresponding to ErrorType.

## Detailed Description

Factory methods for error objects.

Definition at line 590 of file object.h.

## Member Function Documentation

Object Error::create | ( | ExecState * | exec,
|  | ErrorType | errtype = GeneralError,
|  | const char * | message = 0,
|  | int | lineno = -1,
|  | int | sourceId = -1
| ) | `[static]`

  | Factory method for error objects. Parameters:
  exec | The current execution state
  errtype | Type of error.
  message | Optional error message.
  lineno | Optional line number.
  lineno | Optional source id.
Definition at line 638 of file object.cpp. References KJS::List::append(), KJS::Interpreter::builtinError(), KJS::Interpreter::builtinEvalError(), KJS::Interpreter::builtinRangeError(), KJS::Interpreter::builtinReferenceError(), KJS::Interpreter::builtinSyntaxError(), KJS::Interpreter::builtinTypeError(), KJS::Interpreter::builtinURIError(), KJS::Object::construct(), errorNames, KJS::ExecState::interpreter(), and KJS::Object::put().

## Member Data Documentation

const char *const *const Error::errorNames = errorNamesArr`[static]`

| Array of error names corresponding to ErrorType. Definition at line 636 of file object.cpp. Referenced by create().

The documentation for this class was generated from the following files:

- object.h
- object.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:15 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001